Update per-pod CPU and memory requests
PATCH
/deployments/{id}/resources
const url = 'https://example.com/deployments/example/resources';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cpuRequestMilli":1,"memoryRequestBytes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/deployments/example/resources \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cpuRequestMilli": 1, "memoryRequestBytes": 1 }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
cpuRequestMilli
integer | null
memoryRequestBytes
integer | null
Example generated
{ "cpuRequestMilli": 1, "memoryRequestBytes": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
autoDeployBranch
string | null
autoDeployEnabled
boolean
autoDeployPaths
Array<string>
buildCommand
string | null
builderOverride
string | null
buildError
string | null
buildFromRoot
boolean
buildLogs
string | null
buildStatus
required
string
buildStep
string | null
buildStepTimestamps
object | null
buildType
string
buildWithDepot
boolean
composeServiceName
string | null
composeStackId
string | null
cpuRequestMilli
number | null
createdAt
required
string
createdBy
string | null
deployStrategy
string
detectedConfig
object | null
dockerfileHealthCheck
object
command
required
Array<string>
interval
number
retries
number
startPeriod
number
timeout
number
dockerfilePath
string | null
dockerfileTarget
string | null
effectiveImagePullPolicy
What the cluster is actually doing, after deriving. Render this.
string
environmentId
string | null
framework
string | null
githubBranch
string | null
githubRepo
string | null
healthCheckCommand
string | null
healthCheckEnabled
boolean
healthCheckInterval
number
healthCheckOverride
boolean
healthCheckPath
string | null
healthCheckPort
number | null
healthCheckRetries
number
healthCheckTimeout
number
healthCheckType
string
icon
string | null
id
required
string
image
string | null
imagePullPolicy
The override. null means it is derived from the image tag.
string | null
installCommand
string | null
livenessEnabled
boolean
name
required
string
namespace
required
string
outputDirectory
string | null
persistentBuildCache
boolean
projectId
required
string
readinessEnabled
boolean
replicas
required
number
rootDirectory
string | null
startCommand
string | null
startupEnabled
boolean
startupFailureThreshold
number
status
required
string
stopped
required
boolean
tailscaleExposed
boolean
tailscaleHostname
string | null
templateInstanceId
string | null
updatedAt
required
string
key
additional properties
Example
{ "builderOverride": "firecracker", "buildType": "dockerfile", "deployStrategy": "rollingUpdate", "effectiveImagePullPolicy": "Always", "imagePullPolicy": "Always"}